List logical directory user licenses
curl --request GET \
--url https://api.wirespeed.co/v1/directory/licenses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wirespeed.co/v1/directory/licenses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wirespeed.co/v1/directory/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"licenseId": "<string>",
"licenseName": "<string>",
"integrationPlatform": "acronis"
}
]Directory
List logical directory user licenses
Returns distinct provider license IDs across the current team integrations.
GET
/
v1
/
directory
/
licenses
List logical directory user licenses
Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Response
200 - application/json
Provider-stable logical license identifier
Display name shared across integrations
Source integration for this logical license
Available options:
acronis, admin-by-request, agger-labs, anthropic, aws, axonius, bitwarden, box, checkpoint-firewall, checkpoint-harmony, cisco-catalyst, cisco-duo, cisco-meraki, cisco-secure-access, cisco-umbrella, connectwise-psa, crowdstrike-falcon, cyberark, darktrace, dfir-iris, email, exium, fleet-dm, fortianalyzer, fortinet, freshservice, generic-json, generic-syslog, github, google-alert-center, google-chronicle, google-directory, google-security-center, halcyon, halo-itsm, have-i-been-pwned, horizon3, hyas-protect, ipinfo, jamf-pro, jamf-protect, jira-cloud, jira-data-center, jumpcloud, kandji, manage-engine-ad-audit-plus, microsoft, microsoft-entra, microsoft-teams, microsoft-teams-v2, mimecast, netskope, ninjaone, odoo-helpdesk, okta, one-password, onelogin, openai, orca-security, pager-duty, palo-alto-networks-cortex, perception-point, picus, ping-one, reversing-labs, safebreach, sandfly, sentinel-one, service-now, slack, sms, smtp, sonic-wall, sophos, splunk, stairwell, tenable-nessus, thinkst-canary, tracebit, unifi, vectra, watchguard-firebox, windows-event-logs, wirespeed, wiz, wordfence, zabbix, zscaler-zpa 
